
Installer - Feature #32239

Support smart_proxy_pulp 3.0.0 which drops Pulp 2 features

03/31/2021 12:07 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/339,

https://github.com/theforeman/puppet-for

eman_proxy/pull/638

  

Description

Associated revisions

Revision 2a500f4d - 04/09/2021 12:52 PM - Eric Helms

Fixes #32239:  Update Pulp plugin to drop Pulp 2

Katello 4.0 drops Pulp 2 in favor of Pulp 3 completely. If this

plugin is used, then Pulpcore will be used and the user can decide

if it should be deployed as a mirror configuration or not. This drops

most of the parameters as they are not relevant with Pulp 3.

Revision a7233d66 - 04/09/2021 02:20 PM - Eric Helms

Refs #32239 - Drop pulp 2 parameters from foreman_proxy::plugin::pulp

History

#1 - 03/31/2021 12:10 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/339 added

#2 - 03/31/2021 12:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/638 added

#3 - 04/09/2021 12:52 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/09/2021 01:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|2a500f4dae38a97b0ffa65de729a13dbfa9ddd18.
